Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Solved] dev-libs/boost-1.42.0-r2 vs. dev-libs/boost-1.44.0
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Wed Feb 09, 2011 8:27 am    Post subject: [Solved] dev-libs/boost-1.42.0-r2 vs. dev-libs/boost-1.44.0 Reply with quote

Hi,

bei jedem Update will er dev-libs/boost-1.42.0-r2 installieren.
Ein emerge --depclean will es danach sofort wieder löschen:

Code:
$uemerge -pv --depclean =dev-libs/boost-1.44.0

Calculating dependencies... done!
  dev-libs/boost-1.44.0 pulled in by:
    app-office/akonadi-server-1.5.0
    app-office/libreoffice-3.3.0
    dev-libs/boost-program_options-1.44.0
    dev-libs/boost-python-1.44.0
    kde-base/kdepim-runtime-4.5.94.1-r1
    kde-base/kdepimlibs-4.6.0
    kde-base/kget-4.6.0
    kde-base/kleopatra-4.5.94.1
    kde-misc/akonadi-googledata-9999
    media-gfx/inkscape-0.48.0

>>> No packages selected for removal by depclean
Packages installed:   1441
Packages in world:    267
Packages in system:   50
Required packages:    1441
Number to remove:     0

$emerge -pv --depclean =dev-libs/boost-1.42.0-r2

Calculating dependencies... done!
>>> Calculating removal order...

>>> These are the packages that would be unmerged:                                                                                                                                                                               
                                                                                                                                                                                                                                 
 dev-libs/boost
    selected: 1.42.0-r2
   protected: none
     omitted: 1.44.0

All selected packages: dev-libs/boost-1.42.0-r2

>>> 'Selected' packages are slated for removal.
>>> 'Protected' and 'omitted' packages will not be removed.

Packages installed:   1441
Packages in world:    267
Packages in system:   50
Required packages:    1440
Number to remove:     1


Wie kann ich das verhindern?

EDIT: 1.44 kam aus einem Overlay, gelöscht und nun geht es.
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke


Last edited by Finswimmer on Wed Feb 09, 2011 9:13 am; edited 1 time in total
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Wed Feb 09, 2011 9:08 am    Post subject: Reply with quote

Was sagen
Code:
$ emerge -uDNpvt world

wg. den Abhängigkeiten, die auf 1.42 bestehen
und
Code:
$ eselect boost list

BTW.: aktuell wäre die 1.45.0, noch hardmasked, aber das wäre die 1.44 ja auch.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3627
Location: Germany

PostPosted: Wed Feb 09, 2011 1:20 pm    Post subject: Reply with quote

Finswimmer wrote:
Wie kann ich das verhindern?

EDIT: 1.44 kam aus einem Overlay, gelöscht und nun geht es.

Um zu verhindern das Pakete unbeabsichtigt aus einem Overlay installiert werden die es auch im portage Tree gibt gibt es im aktuellen >=portage-2.2 seit einiger Zeit auch die Möglichkeit Overlays komplett zu maskieren. So kann man sich dann zb explizit nur die Pakete wieder freischalten die man auch wirklich aus dem Overlay installiert haben möchte.
/etc/portage/package.mask wrote:
*/*::reponame
Code:
emerge --info | grep Repo

Alternativ könnte man ansonsten auch die Prioritäten der Repositories, wie portage sie verwenden soll entsprechend anpassen.
Ist ne super Sache, und vereinfacht das Handling mit Overlays doch enorm :)

/edit:
Link hinzugefügt
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum